Mailinglist Archive: opensuse-factory (229 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20191216 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Wed, 18 Dec 2019 16:02:22 +0000
  • Message-id: <157668494203.693.17631371704050779968@go-agent-stagingbot-2>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20191216

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
drbd
krb5 (1.17 -> 1.17.1)
libxcrypt
linux-atm
perl
php7 (7.3.11 -> 7.4.0)
php7-pear (7.3.11 -> 1.10.17)
rubygem-nokogiri (1.10.5 -> 1.10.7)
srt
vim (8.1.2383 -> 8.2.0000)
yast2-firstboot (4.2.4 -> 4.2.5)

=== Details ===

==== drbd ====
Subpackages: drbd-kmp-default

- bsc#1158446, fix metadata limit due to 64k page size of ppc64le.
add patch drbd-fix-zero-metadata-limit-by-page-size-misaligned.patch
- Remove obsolete Groups tag (fate#326485)

==== krb5 ====
Version update (1.17 -> 1.17.1)
Subpackages: krb5-32bit krb5-client

- Upgrade to 1.17.1
* Fix a bug preventing "addprinc -randkey -kvno" from working in kadmin.
* Fix a bug preventing time skew correction from working when a KCM
credential cache is used.

==== libxcrypt ====
Subpackages: libcrypt1 libcrypt1-32bit libxcrypt-devel

- gcc10.patch: fix build with gcc10 (bsc#1158192)

==== linux-atm ====

- Modernise spec file a bit:
* Move licnse to library package
* Use more of new macros for building

==== perl ====
Subpackages: perl-base perl-doc

- Fix incorrect prefix removal in rpm macro %perl_gen_filelist (boo#1152247)

==== php7 ====
Version update (7.3.11 -> 7.4.0)
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-json php7-ldap php7-mbstring php7-mysql
php7-odbc php7-openssl php7-pdo php7-pgsql php7-shmop php7-snmp php7-sockets
php7-sqlite php7-sysvsem php7-sysvshm php7-tidy php7-tokenizer php7-xmlreader
php7-xmlwriter php7-xsl php7-zlib

- php7-devel requires glibc-devel, libxml2-devel, pcre2-devel
again
- relax systemd restrictions for FPM as they were too strict in
some applications
- change leftover Requires php7-<extension> to php-<extension>
- remove external libraries from -devel subpackage
- added patches
+ php-fpm-service-fails-to-start.patch
- update to 7.4.0:
* Typed Properties
* Arrow Functions
* Limited Return Type Covariance and Argument Type Contravariance
* Unpacking Inside Arrays
* Numeric Literal Separator
* Weak References
* Allow Exceptions from __toString()
* Opcache Preloading
* The interbase and wddx extensions are removed and now
available through PECL
* PEAR is now packaged separately in php7-pear source package
(https://externals.io/message/103977)
* See https://www.php.net/ChangeLog-7.php#7.4.0 for a complete
list of changes
- deleted patches
- php-suse-addons.tar.bz
- php-systzdata-v18.patch
- added patches
+ php-fix-mysqlnd-compression-library.patch
+ php-systzdata-v19.patch
+ mod_php7.conf
- modified files/patches
% php-no-build-date.patch
% php-systemd-unit.patch
% php7.keyring (use keys of the PHP-7.4 release managers)
% php7.rpmlintrc

==== php7-pear ====
Version update (7.3.11 -> 1.10.17)

- Apply upstream patch for https://bugs.php.net/78890
+ pear-cacheid-array-check.patch
- Recommend php7-openssl to allow https sources to be used
- Modify metadata_dir for system configuration only
- Add /var/lib/pear directory where xml files are stored
- Cleanup %files section
- Only use the GPG keys of Chuck Burgess. Extracted from the
Release Manager public keys.
- Add release versions of PEAR modules
- Install metadata files (registry, filemap, channels, ...) in
/var/lib/pear/ instead of /usr/share/php7/PEAR/
- Create php7-pecl subpackage for PECL builds
- Update to version 1.10.17
- Package separately, as builtin PEAR was deprecated in PHP-7.4

==== rubygem-nokogiri ====
Version update (1.10.5 -> 1.10.7)

- updated to version 1.10.7
[#]## Bug
* [MRI] Ensure the patch applied in v1.10.6 works with GNU `patch`. [#1954]
[#]# 1.10.6 / 2019-12-03
[#]## Bug
* [MRI] Fix FreeBSD installation of vendored libxml2. [#1941, #1953] (Thanks,
@nurse!)

==== srt ====

- Drop pkgconfig(zlib) BuildRequires: this is only needed on
win32/mingw (and even there it rather seems like working around a
bug in some other package, as there is no explicit call to zlib
functions).

==== vim ====
Version update (8.1.2383 -> 8.2.0000)
Subpackages: gvim vim-data vim-data-common

- Update to version 8.2.0000
* make depend" does not work correctly for libvterm.
* Crash when calling popup_close() in win_execute()
* With a long file name the hit-enter prompt appears.
* bufnr('$') is wrong after recycling popup buffer.
* loading menus sets v:errmsg.
* popup menu flickers if an info popup is used.
* Crash when evaluating expression with error.
* Function argument copied unnecessarily.
* syntax menu and build instructions outdated.
* matchadd_conceal test fails under valgrind.
* :cexpr does not handle | in expression.
* Use // comments where appropriate.
* 'wincolor' is not used for 'listchars'.
* Opening cmdline window with feedkeys() does not work.

==== yast2-firstboot ====
Version update (4.2.4 -> 4.2.5)

- Improve the "firstboot_licenses" client to give precedence to
the directory argument, allowing to use it multiple times to show
different licenses (bsc#1154708).
- Remove the references to the already dropped automatic
configuration feature (FATE#314695).
- 4.2.5


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages